---

#! /db/releases/20241111121807/lkp-src/jobs/perf-sanity-tests.yaml
suite: perf-sanity-tests
testcase: perf-sanity-tests
category: functional
need_memory: 2G
perf-sanity-tests:
  perf_compiler: gcc
timeout: 30m
job_origin: perf-sanity-tests.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-spr-2sp1
tbox_group: lkp-spr-2sp1
job_file: "/lkp/jobs/scheduled/lkp-spr-2sp1/perf-sanity-tests-gcc-debian-12-x86_64-20240206.cgz-af954f76eea5-20241128-16389-zo9yo6-0.yaml"
id: c31143d5b689a3c80ae9e83a181e7f755afd4d88
queuer_version: "/zday/lkp"

#! /db/releases/20241111121807/lkp-src/hosts/lkp-spr-2sp1
model: Sapphire Rapids
nr_node: 2
nr_cpu: 224
memory: 256G
nr_ssd_partitions: 6
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741402ZX4P0IGN-part*"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX010T8_BTLJ207201DG1P0FGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x777fe014
brand: Intel(R) Xeon(R) Platinum 8480+

#! /db/releases/20241111121807/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /db/releases/20241111121807/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20241111121807/lkp-src/include/perf-sanity-tests
initrds:
- linux_perf

#! /db/releases/20241111121807/lkp-src/include/queue/cyclic
commit: af954f76eea56453713ae657f6812d4063f9bc57

#! /db/releases/20241111121807/lkp-src/include/testbox/lkp-spr-2sp1
ucode: '0x2b0004b1'
kconfig: x86_64-rhel-8.3-bpf
enqueue_time: 2024-11-28 14:38:08.946387109 +08:00
_rt: "/result/perf-sanity-tests/gcc/lkp-spr-2sp1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-bpf/gcc-12/af954f76eea56453713ae657f6812d4063f9bc57"
compiler: gcc-12
head_commit: 1f1da0cc3ec77b61ddf74ad7df27428df97ad257
base_commit: 2d5404caa8c7bb5c4e0435f94b28834ae5456623
branch: linux-devel/devel-hourly-20241111-182827
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20241125-123156"
arch: x86_64
max_uptime: 1800
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/perf-sanity-tests/gcc/lkp-spr-2sp1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-bpf/gcc-12/af954f76eea56453713ae657f6812d4063f9bc57/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-bpf/gcc-12/af954f76eea56453713ae657f6812d4063f9bc57/vmlinuz-6.12.0-rc3-00131-gaf954f76eea5
- branch=linux-devel/devel-hourly-20241111-182827
- job=/lkp/jobs/scheduled/lkp-spr-2sp1/perf-sanity-tests-gcc-debian-12-x86_64-20240206.cgz-af954f76eea5-20241128-16389-zo9yo6-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-bpf
- commit=af954f76eea56453713ae657f6812d4063f9bc57
- intremap=posted_msi
- acpi_rsdp=0x777fe014
- max_uptime=1800
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-12/af954f76eea56453713ae657f6812d4063f9bc57/modules.cgz"
linux_perf_initrd: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-12/af954f76eea56453713ae657f6812d4063f9bc57/linux-perf.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-11066801dd4b-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20241112160359/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-spr-2sp1/perf-sanity-tests-gcc-debian-12-x86_64-20240206.cgz-af954f76eea5-20241128-16389-zo9yo6-0.cgz"
last_kernel: 5.9.0-2-amd64

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-12/af954f76eea56453713ae657f6812d4063f9bc57/vmlinuz-6.12.0-rc3-00131-gaf954f76eea5"
result_root: "/result/perf-sanity-tests/gcc/lkp-spr-2sp1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-bpf/gcc-12/af954f76eea56453713ae657f6812d4063f9bc57/0"

#! /db/releases/20241125103356/lkp-src/include/site/inn
dequeue_time: 2024-11-28 16:07:45.857473058 +08:00
job_state: finished
loadavg: 13.68 13.36 6.04 1/1920 150027
start_time: '1732781291'
end_time: '1732782710'
version: "/lkp/lkp/.src-20241125-123156:d93bc6b7d929:3ee0f428cde3"
